User Tools

Site Tools


Sidebar

LUCY MANUAL Applies to LUCY versions above 2.2.

stop_all_campaigns_manually

In case if you are running campaigns, campaign pages are not opening (due to errors or some other issues) and we released a patch, you will be unable to upgrade from the UI. In order to upgrade you will need to stop campaigns manually. That could be done by connecting to Lucy over SSH and issuing the following command under root account:

sudo -upostgres psql phishing -c 'update campaign_scenarios set status = 0 where status = 10'

After the command is done, you can safely upgrade to the newest version and start the campaigns you previously stopped again.

The article applies only to Lucy < 3.5 - starting from Lucy 3.5 you can stop all campaigns before upgrading right on the update page.

stop_all_campaigns_manually.txt · Last modified: 2017/04/05 14:53 by lucy